Summary:	Library to pack up hard disk files and directories into a ISO 9660 disk image
Summary(pl.UTF-8):	Biblioteka do pakowania plików i katalogów w obrazy ISO 9660
Name:		libisofs
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0a86f2cda3b86fc95f7c0efbd793f373
URL:		http://libburnia-project.org/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	libjte-devel >= 1.0.0
BuildRequires:	zlib-devel
Requires:	libjte >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
libisofs is the library to pack up hard disk files and directories
into a ISO 9660 disk image.

%description -l pl.UTF-8
libisofs to biblioteka do pakowania plików i katalogów z twardego
dysku w obrazy ISO 9660.

%package devel
Summary:	Header files for libisofs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libisofs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	libjte-devel >= 1.0.0
Requires:	zlib-devel

%description devel
Header files for libisofs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libisofs.

%package static
Summary:	Static libisofs library
Summary(pl.UTF-8):	Statyczna biblioteka libisofs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libisofs library.

%description static -l pl.UTF-8
Statyczna biblioteka libisofs.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# *.la kept, dependencies are missing in .pc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT NEWS README Roadmap TODO
%attr(755,root,root) %{_libdir}/libisofs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisofs.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/Tutorial
%attr(755,root,root) %{_libdir}/libisofs.so
%{_libdir}/libisofs.la
%{_includedir}/libisofs
%{_pkgconfigdir}/libisofs-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libisofs.a
%changelog
* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 89e5285
- updated to 1.2.4

* Tue Apr 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> a1fa7f1
- updated to 1.2.2

* Mon Jan 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> b41eb6d
- updated to 1.2.0

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 8f25c03
- updated to 1.1.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a7cf4eb
- updated to 1.1.4

* Thu Jul 14 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8e7a042
- updated to 1.1.2
- new URL

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d62c1a
- updated to 1.1.0

* Fri May 20 2011 marti <marti@pld-linux.org> 993464b
- up to 1.0.8

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ec334e
- release 2

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 4d81cb9
- updated to 1.0.6

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 95a4de0
- updated to 1.0.4

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 84266d7
- Up to 1.0.2

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> e2a6ef9
- updated to 1.0.0

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 970bd45
- updated to 0.6.40

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 64a849c
- BR+R: acl-devel attr-devel libjte-devel zlib-devel

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> e999fd9
- Up to 0.6.38

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> a8622d1
- Up to 0.6.36

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 6259584
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 86c7226
- updated to 0.6.20

* Sat Feb 28 2009 duddits <duddits@pld-linux.org> bf1841c
- up to 0.6.12

